MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007287Community[OCCT] OCCT:Foundation Classespublic2004-11-24 08:582006-06-29 09:15
Reporterbugmaster 
Assigned Toofv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.2.2 
Summary0007287: Problem of Memory Leak
DescriptionThis problem was reported by Marcel Keller - see forum thread
http://www.opencascade.org/org/forum/thread_7199/ [^]

Marcel Keller :
We recieved indications of memory leak problems from one of our customers and
simplified the code as shown below. After the for-loop memory increased about 30MB.

#include "TopoDS_Shape.hxx"
#include "TopoDS_Solid.hxx"
#include "BRepPrimAPI_MakeBox.hxx"
#include "BRepAlgoAPI_Cut.hxx"


int main(int argc, char* argv[])
{
TopoDS_Solid box1;
TopoDS_Solid box2;
for (int i=0; i<1000; i++){
box1 = BRepPrimAPI_MakeBox(100,100,100);
box2 = BRepPrimAPI_MakeBox(50,50,50);
BRepAlgoAPI_Cut cutOperation(box1, box2);
}
return 0;
}
Additional information
and documentation updates
Documentation remark, added by Oleg FEDYAEV (ofv) 2004-12-06 14:18:09:

Improvements:
Some memory leaks actual for boolean operations in memory management mode
MMGT_OPT = 0 are fixed.
TagsNo tags attached.
Test case number
Attached Fileszip file icon ofv7287-v1.zip (18,552 bytes) 2004-11-30 15:29
zip file icon ofv7287-v2.zip (20,928 bytes) 2004-12-06 13:58
zip file icon adaptor3d_upd.zip (5,475 bytes) 2004-12-07 08:45
zip file icon ofv7287-fin.zip (8,252 bytes) 2004-12-07 09:21

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2004-11-24 12:35 bugmaster Assigned To bugmaster => mkk
2004-11-24 12:35 bugmaster Status new => assigned
2004-11-24 12:55 mkk Assigned To mkk => ofv
2004-12-01 12:55 apv CC => apv, ofv
2004-12-03 16:44 abv CC => msv
2004-12-06 16:16 ofv Status assigned => resolved
2004-12-08 14:01 apv CC => aki
2004-12-14 11:37 aki Status resolved => tested
2004-12-15 08:43 bugmaster Status tested => verified
2004-12-24 08:58 bugmaster Status verified => closed
2004-12-24 08:58 bugmaster Resolution @0@ => fixed
2005-01-12 18:59 vtn Customer => Community
2011-08-02 11:23 bugmaster Category OCCT:FDC => OCCT:Foundation Classes


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker